Package org.pushingpixels.substance.internal.utils.menu

# Class MenuUtilities.MenuLayoutMetrics

java.lang.Object
org.pushingpixels.substance.internal.utils.menu.MenuUtilities.MenuLayoutMetrics

Enclosing class:
  `MenuUtilities`

public static class MenuUtilities.MenuLayoutMetrics extends Object
Layout metrics for a single popup menu. All menu items in a popup menu share the same metrics so that different parts (icons, check icons, texts, accelerator texts and arrow icons) are vertically aligned.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`maxAcceleratorWidth`
Maximum width of accelerator texts of the menu items of this popup menu.
`int`
`maxArrowIconWidth`
Maximum width of arrow icons of the menu items of this popup menu.
`int`
`maxCheckIconWidth`
Maximum width of check icons of the menu items of this popup menu.
`int`
`maxIconTextGap`
Maximum gap between icon and text of the menu items of this popup menu.
`int`
`maxIconWidth`
Maximum width of icons of the menu items of this popup menu.
`int`
`maxTextWidth`
Maximum width of texts of the menu items of this popup menu.

## Constructor Summary

Constructors
Constructor
Description
`MenuLayoutMetrics()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### maxIconWidth

public int maxIconWidth
Maximum width of icons of the menu items of this popup menu.

### maxCheckIconWidth

public int maxCheckIconWidth
Maximum width of check icons of the menu items of this popup menu.

### maxTextWidth

public int maxTextWidth
Maximum width of texts of the menu items of this popup menu.

### maxAcceleratorWidth

public int maxAcceleratorWidth
Maximum width of accelerator texts of the menu items of this popup menu.

### maxArrowIconWidth

public int maxArrowIconWidth
Maximum width of arrow icons of the menu items of this popup menu.

### maxIconTextGap

public int maxIconTextGap
Maximum gap between icon and text of the menu items of this popup menu.

## Constructor Details

### MenuLayoutMetrics

public MenuLayoutMetrics()